TrainingMeasure (Apache OpenNLP :: API 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.monitoring, enum: TrainingMeasure

Package opennlp.tools.monitoring

# Enum Class TrainingMeasure

java.lang.Object
java.lang.Enum<TrainingMeasure>
opennlp.tools.monitoring.TrainingMeasure

All Implemented Interfaces:
  `Serializable`, `Comparable<TrainingMeasure>`, `Constable`

public enum TrainingMeasure extends Enum<TrainingMeasure>
Enumeration of Training measures.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCURACY`
  `LOG_LIKELIHOOD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMeasureName()`
  `static TrainingMeasure`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TrainingMeasure[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCURACY

    public static final TrainingMeasure ACCURACY

  - ### LOG_LIKELIHOOD

    public static final TrainingMeasure LOG_LIKELIHOOD

- ## Method Details

  - ### values

    public static TrainingMeasure[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TrainingMeasure valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMeasureName

    public String getMeasureName()